# Fooocus Image Prompt API

> Različica Fooocus z do štirimi slikovnimi pozivi ter možnostmi slikanja in povečave

Uporablja `image_prompt_1` (obvezno) in do tri dodatne slikovne pozive za usmerjanje ustvarjanja skupaj z besedilnim `prompt`. Omogoča tudi slikanje z `inpaint_mode`, smeri outpaint ter `uov_method` za spreminjanje ali povečavo. Podprti so prednastavljeni slogi, LoRA, načini `performance` in od 1 do 4 izhodov na zahtevo.

- Model id: `fooocus/image-prompt`
- Made by: Open model
- Category: Text to Image
- Output: image
- Estimated price per run: $0.085 / image (cheapest run $0.085 (85 API credits))
- Run: `POST https://api.doitong.ru/v1/run/fooocus/image-prompt`
- Quote: `POST https://api.doitong.ru/v1/quote/fooocus/image-prompt`
- Docs page: https://doitong.com/sl/developers/models/fooocus/image-prompt

## Pricing

Price: **$0.085 / image**. Estimated from the typical cost of one run, per output (`num_images`). The quote is exactly what the run charges.

The full example input below costs $0.085 = 85 API credits (1 image × 85 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/fooocus/image-prompt` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | no | `` |  | Opišite sliko, ki jo želite ustvariti, in uporabite čim več podrobnosti za najboljše rezultate. |
| `negative_prompt` |  | string | no | `` |  | Negativni poziv, ki določa podrobnosti slike za izključitev, vključno z barvami, predmeti, pokrajino ali drobnejšimi značilnostmi. Primeri vključujejo brke, zamegljenost ali nizko ločljivost. |
| `styles` |  | array of enum (string) | no | `["Fooocus Enhance","Fooocus Sharp","Fooocus V2"]` |  | Slog, uporabljen med generiranjem. |
| `performance` |  | enum (string) | no | `Extreme Speed` | `Speed`, `Quality`, `Extreme Speed`, `Lightning` | Izbira zmogljivosti: Speed ali Quality. |
| `guidance_scale` |  | number | no | `4` | 1 – 30 | Jakost upoštevanja poziva pri izbiri slike, izražena kot CFG (Classifier Free Guidance). |
| `sharpness` |  | number | no | `2` | 0 – 30 | Nastavitev ostrine izhodne slike. Povečanje izostri sliko in njene teksture. |
| `aspect_ratio` |  | string | no | `1024x1024` |  | Mere izhodne slike, izbrane med vnaprej določenimi možnostmi ali določene kot širina in višina po meri. Obe meri po meri morata biti deljivi z 8. |
| `num_images` | `num_outputs` | integer | no | `1` | 1 – 4 | Število slik za generiranje na zahtevo. |
| `loras` |  | array of object {path, scale} | no | `[{"path":"https://huggingface.co/stabilityai/stable-diffusion-xl-base-1.0/resolve/main/sd_xl_offset_example-lora_1.0.safetensors","scale":0.1}]` |  | Izbira LoRA, združena za končno generiranje slike; omejeno na 5 LoRA. |
| `loras[].path` |  | string | yes |  |  | Lokacija uteži LoRA, navedena kot URL ali pot. |
| `loras[].scale` |  | number | no | `0.1` | 0 – 1 | Množilnik, uporabljen za utež LoRA, preden se združi z osnovnim modelom. |
| `refiner_model` |  | enum (string) | no | `None` | `None`, `realisticVisionV60B1_v51VAE.safetensors` | Izbira izboljševalnika: SDXL ali SD 1.5. |
| `refiner_switch` |  | number | no | `0.8` | 0 – 1 | Vrednost preklopa izboljševalnika: uporabite 0.4 z realističnimi modeli SD1.5, 0.667 z anime-modeli SD1.5 in 0.8 z XL-refinerji. Pri preklapljanju med dvema modeloma SDXL je dovoljena katera koli vrednost. |
| `output_format` |  | enum (string) | no | `jpeg` | `png`, `jpeg`, `webp` | Oblika datoteke končne slike. |
| `seed` |  | integer \| null | no |  |  | Seme za poustvarjanje slik v Stable Diffusion. Sliko je mogoče pri vsakem zagonu popolnoma poustvariti, če ostanejo različica modela, poziv in seme nespremenjeni. |
| `image_prompt_1` |  | object {type, image_url, stop_at, weight} | yes |  |  |  |
| `image_prompt_1.type` |  | enum (string) | no | `ImagePrompt` | `ImagePrompt`, `PyraCanny`, `CPDS`, `FaceSwap` |  |
| `image_prompt_1.image_url` |  | string (image URL) \| null | no |  |  |  |
| `image_prompt_1.stop_at` |  | number | no | `0.5` | 0 – 1 |  |
| `image_prompt_1.weight` |  | number | no | `1` | 0 – 2 |  |
| `image_prompt_2` |  | object {type, image_url, stop_at, weight} | no |  |  |  |
| `image_prompt_2.type` |  | enum (string) | no | `ImagePrompt` | `ImagePrompt`, `PyraCanny`, `CPDS`, `FaceSwap` |  |
| `image_prompt_2.image_url` |  | string (image URL) \| null | no |  |  |  |
| `image_prompt_2.stop_at` |  | number | no | `0.5` | 0 – 1 |  |
| `image_prompt_2.weight` |  | number | no | `1` | 0 – 2 |  |
| `image_prompt_3` |  | object {type, image_url, stop_at, weight} | no |  |  |  |
| `image_prompt_3.type` |  | enum (string) | no | `ImagePrompt` | `ImagePrompt`, `PyraCanny`, `CPDS`, `FaceSwap` |  |
| `image_prompt_3.image_url` |  | string (image URL) \| null | no |  |  |  |
| `image_prompt_3.stop_at` |  | number | no | `0.5` | 0 – 1 |  |
| `image_prompt_3.weight` |  | number | no | `1` | 0 – 2 |  |
| `image_prompt_4` |  | object {type, image_url, stop_at, weight} | no |  |  |  |
| `image_prompt_4.type` |  | enum (string) | no | `ImagePrompt` | `ImagePrompt`, `PyraCanny`, `CPDS`, `FaceSwap` |  |
| `image_prompt_4.image_url` |  | string (image URL) \| null | no |  |  |  |
| `image_prompt_4.stop_at` |  | number | no | `0.5` | 0 – 1 |  |
| `image_prompt_4.weight` |  | number | no | `1` | 0 – 2 |  |
| `inpaint_image_url` |  | string (image URL) \| null | no |  |  | Referenčna slika, uporabljena pri slikanju čez sliko. |
| `mask_image_url` |  | string (image URL) \| null | no |  |  | Maska slike, uporabljena med generiranjem slike. |
| `inpaint_mode` |  | enum (string) | no | `Inpaint or Outpaint (default)` | `Inpaint or Outpaint (default)`, `Improve Detail (face, hand, eyes, etc.)`, `Modify Content (add objects, change background, etc.)` | Način, uporabljen pri slikanju čez sliko. |
| `inpaint_additional_prompt` |  | string | no | `` |  | Opis želene vsebine za slikanje čez sliko. |
| `outpaint_selections` |  | array of enum (string) | no | `[]` |  | Smeri, v katerih razširjanje slike razširi sliko. |
| `mixing_image_prompt_and_inpaint` |  | boolean | no | `false` |  | Združuje slikovni poziv z zapolnjevanjem delov slike. |
| `uov_image_url` |  | string (image URL) \| null | no |  |  | Izvorna slika za povečevanje ali različico. |
| `uov_method` |  | enum (string) | no | `Disabled` | `Disabled`, `Vary (Subtle)`, `Vary (Strong)`, `Upscale (1.5x)`, `Upscale (2x)`, `Upscale (Fast 2x)` | Metoda, uporabljena za povečevanje ali ustvarjanje različic. |
| `mixing_image_prompt_and_vary_upscale` |  | boolean | no | `false` |  | Združuje Image Prompt z Vary/Upscale. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Preklop preverjanja varnosti; nastavitev na false preverjanje onemogoči. |

File parameters (`inpaint_image_url`, `mask_image_url`, `uov_image_url`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "image_prompt_1": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }
}
```

A fuller example:

```json
{
  "image_prompt_1": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fooocus/image-prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_prompt_1": {
      "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "image_prompt_1": {
      "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    }
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "image_prompt_1": {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    },
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "fooocus/image-prompt",
      "input": {
        "image_prompt_1": {
          "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
        }
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fooocus/image-prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 85,
    "usd": "0.085",
    "charged": 85,
    "refunded": 0
  },
  "input": {
    "image_prompt_1": {
      "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    }
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "has_nsfw_concepts": [
      false
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `images` | array of object {url, content_type, file_name, file_size, width, height} | Informacije o datoteki ustvarjene slike. |
| `timings` | object | Pretečeni čas generiranja. |
| `has_nsfw_concepts` | array of boolean | Označuje, ali se v generiranih slikah pojavljajo koncepti NSFW. |

## Related models

- [Fooocus](https://doitong.com/developers/models/fooocus.md) (`fooocus`): $0.444 / image
- [Fooocus Inpainting](https://doitong.com/developers/models/fooocus/inpaint.md) (`fooocus/inpaint`): $0.055 / image
- [Fooocus Upscale or Vary](https://doitong.com/developers/models/fooocus/upscale-or-vary.md) (`fooocus/upscale-or-vary`): $0.007 / image
- [FLUX.1 \[dev\]](https://doitong.com/developers/models/flux/dev.md) (`flux/dev`): $0.025 / megapixel
- [FLUX.1 \[schnell\]](https://doitong.com/developers/models/flux/schnell.md) (`flux/schnell`): $0.003 / megapixel
- [FLUX.2 \[dev\]](https://doitong.com/developers/models/flux-2.md) (`flux-2`): $0.012 / megapixel
- [FLUX.2 \[pro\]](https://doitong.com/developers/models/flux-2-pro.md) (`flux-2-pro`): $0.015 / megapixel of output image
- [GPT Image 2.5 Text to Image](https://doitong.com/developers/models/openai/gpt-image-2.5/flare/text-to-image.md) (`openai/gpt-image-2.5/flare/text-to-image`): from $0.008 / image

## Links

- HTML page: https://doitong.com/developers/models/fooocus/image-prompt
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=fooocus/image-prompt
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/fooocus/image-prompt
